资源中心/网络服务/网络服务相关接口/端口转发相关接口
PUTPort Forwarding Operations起始版本 0.6同步需要认证
更新端口转发规则
更新端口转发规则
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填资源的UUID,唯一标示该资源
请求体字段
updateportforwardingruleObject必填updateportforwardingrule 请求体结构
nameString资源名称
descriptionString资源的详细描述
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
PUT/zstack/v1/port-forwarding/{uuid}/actions
/zstack/v1/port-forwarding/{uuid}/actions
请求示例
curl -X PUT 'http://{host}/zstack/v1/port-forwarding/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateportforwardingrule":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "uuid": "420edb331ec34871a416e570fa4faf8b", "name": "TestAttachRule", "description": "test atatch rule", "vipIp": "192.168.0.187", "guestIp": "10.0.0.244", "vipUuid": "8282dbb28b70416790bd83d08d3718ba", "vipPortStart": 33.0, "vipPortEnd": 33.0, "privatePortStart": 33.0, "privatePortEnd": 33.0, "vmNicUuid": "2e63ec7524074e9dad1255d5e02f0697", "protocolType": "TCP", "state": "Enabled", "allowedCidr": "0.0.0.0/0", "createDate": "Jun 7, 2017 9:20:38 PM", "lastOpDate": "Jun 7, 2017 9:20:38 PM" } }变更历史
此 API 暂无变更历史记录。
